" =====PLUGINS=====
" Load the plugins
call plug#begin('~/.config/nvim/plugged')

" Gutentags creates a ctags file asynchronously. This allows me to jump to
" definitions easily.
Plug 'ludovicchabant/vim-gutentags', { 'commit': '31c0ead' }

" Fuzzy file search
Plug 'ctrlpvim/ctrlp.vim'

" Git client within Vim
Plug 'tpope/vim-fugitive'

" Change surrounding quotes, brackets...
Plug 'tpope/vim-surround'

" Comment out lines easily
Plug 'tpope/vim-commentary'

" Powerful auto-complete engine
Plug 'neoclide/coc.nvim', {'branch': 'release'}

" Show ctags in sidebar, useful for navigation
Plug 'majutsushi/tagbar'

" Show Git diffs in sidebar
Plug 'airblade/vim-gitgutter'

" Show indentation using thin lines
Plug 'yggdroot/indentline'

" Auto-indent according to PEP8 rules
Plug 'hynek/vim-python-pep8-indent'

" Text object based on current indent level (e.g. Python)
Plug 'michaeljsmith/vim-indent-object'

Plug 'scrooloose/nerdtree'

call plug#end()
